const icons = require("simple-icons");
var argv = require("minimist")(process.argv.slice(2));

// Since I can't refer back to things, I'm just gonna make them consts
// and export them

const dev = false || argv.dev;

const port = 9696;
const name = "ALEX HELDT";
const socials = [
  {
    name: "twitch",
    link: "https://twitch.tv/alexheldtmusic",
    icon: icons["Twitch"],
  },
  {
    name: "twitter",
    link: "https://twitter.com/alexheldtmusic",
    icon: icons["Twitter"],
  },
  {
    name: "instagram",
    link: "https://instagr.am/alexheldtmusic",
    icon: icons["Instagram"],
  },
];
const music = [
  {
    id: "rumorsrrmx",
    name: "Rumors Remix",
    image: "/assets/images/rumorsrmx_cover.JPG",
    link: "https://ffm.to/dd3kjja",
  },
  {
    id: "blowfishrmx",
    name: "Blowfish Boyfriend Remix",
    image: "/assets/images/blowfishrmx.jpg",
    link: "https://ffm.to/blowfishbfremix.owe",
  },
  {
    id: "serrated",
    name: "Serrated EP",
    image: "/assets/images/serrated.jpg",
    link: "https://ffm.to/serrated",
  },
];

const allMusic = [...music];
module.exports = {
  dev,
  port,
  name,
  socials,
  music,
  allMusic,
};
